UiPath Documentation
automation-cloud
latest
false
Important :
Veuillez noter que ce contenu a été localisé en partie à l’aide de la traduction automatique. La localisation du contenu nouvellement publié peut prendre 1 à 2 semaines avant d’être disponible.

Guide d'administration d'Automation Cloud

Get Tenant Consumption Summary by Tenant

Use this endpoint to retrieve the consumption summary for a specific tenant in your organization.

Point de terminaison de l’API

POST {accessURL}/lease_/api/usage/{organizationId}/tenants/{tenantId}/consumption-summary

Remplacez {accessURL} dans tous les chemins de point de terminaison par l'URL de base de votre plate-forme cloud :

Cloud PlatformURL d'accès
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud pour le Secteur publichttps://govcloud.uipath.us/
Cloud d'automatisation dédiéhttps://{customURL}.dedicated.uipath.com/

En-têtes de requête.

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
Remarque :

Pour obtenir le {access_token}, assurez-vous de vous authentifier via l'une des méthodes ROPC décrite ici.

Paramètres de chemin d'accès

Paramètre du chemin d'accèsType de donnéesDescription
organizationId (requis)Chaîne (GUID)L'ID de l'organisation dans laquelle réside votre locataire.
tenantId (requis)Chaîne (GUID)The ID of the tenant for which to retrieve the consumption summary.

Corps de la requête

The request body specifies the date range and the consumable code for which to retrieve the summary. The tenant is determined by the {tenantId} path parameter. For a detailed list of consumable codes, refer to Consumables.

{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
Remarque :

startDate and endDate are Unix timestamps in milliseconds.

Réponses

200 OK

Returns the consumption summary for the specified tenant.

Exemple de requête

L’appel doit ressembler à l’exemple suivant (cURL) :

curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'

Here's the response body for a successful consumption summary retrieval:

Remarque :

consumedFromOrgWithoutTenant reflects consumption that occurs at the organization level without tenant context — it is not attributed to any specific tenant.

{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
  • Point de terminaison de l’API
  • En-têtes de requête.
  • Paramètres de chemin d'accès
  • Corps de la requête
  • Réponses
  • 200 OK
  • Exemple de requête

Cette page vous a-t-elle été utile ?

Connecter

Besoin d'aide ? Assistance

Vous souhaitez apprendre ? UiPath Academy

Vous avez des questions ? UiPath Forum

Rester à jour